#!/bin/sh
#
# start/stop cyphesis-cpp game server
#
### BEGIN INIT INFO
# Provides: cyphesis-cpp
# Required-Start: $syslog
# Required-Stop: $syslog
# Should-Start: postgresql
# Should-Stop: postgresql
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Game-Server of the WorldForge project
# Description: Game-Server of the WorldForge project
### END INIT INFO

if ! [ -f /etc/cyphesis/cyphesis.vconf ]; then
	exit 0
fi

if ! [ -x /usr/bin/cyphesis ]; then
	exit 0
fi

case "$1" in
    start)
	echo -n "Starting cyphesis games server:"
	start-stop-daemon --start --quiet --chuid cyphesis --exec /usr/bin/cyphesis -- --cyphesis:daemon=true
	if test "$?" = "0" ;
	then
	    echo -n " cyphesis"
	else
	    echo -n " failed"
	fi
	echo "."
	;;
    stop)
	echo -n "Stopping cyphesis games server:"
	kill -SIGTERM `ps ax | grep "/usr/bin/cyphesis" | grep -v 'grep ' | awk '{print $1}'`
	
	if test "$?" != "0" ; then
	    echo -n " failed"
	else
	    echo -n " cyphesis"
	fi
	echo "."
	;;
    reload)
        $0 restart
	;;
    force-reload)
        $0 restart
        ;;
    restart)
	echo -n "Restarting cyphesis games server:"
	echo -n " cyphesis"
	$0 stop
	$0 start
	echo "."
	;;
    status)
    	/usr/bin/cycmd localhost stat
	;;
    *)
	echo "Usage: /etc/init.d/cyphesis-cpp {start|stop|reload|force-reload|restart|status}"
	exit 1
	;;
esac

exit 0

